Support » Plugin: Taxonomy Metadata » WordPress 4.4 fatal error

Viewing 15 replies - 1 through 15 (of 17 total)
  • This is expected behaviour since this plugin intentionally uses the same function names that WordPress was likely to use in future.

    I’m not sure if Mitcho intends to provide an upgrade path for the plugin, but I need to provide an upgrade path for the users of my Unique Headers plugin which utilizes this plugin to add term meta data. So if Michio doesn’t provide a fix for this, I may be able to do it for him. No promises of course, but if I’m already providing an upgrade path, then adding it to this plugin shouldn’t be much extra work.

    Thread Starter SeventhQueen

    (@seventhqueen)

    The thing is that it just needs to wrap those functions in a if (! function_exists(‘function_name’)) {}

    Mitcho has responded to a question I asked him on Twitter about it .. https://twitter.com/themitcho/status/651041041500340224

    I doesn’t need the if statements, it needs the functions removed and an updater added to convert the old data to the new system.

    Winter is coming..
    and so 4.4.
    Is there any progress in a migration routine? I checked out that tweet, the link there and svn.

    I used the plugin before. When I tried to update to WP4.4, it gave a blank screen. Then I deactivated the Taxonomy Metadata plugin. Yet then, my data was gone. This is how I fixed this:

    (be sure to take a database backup first!)

    1. Go to your database
    2. Go to the table wp_taxonomymeta
    3. Change the name of this table to wp_termmeta
    4. Open this table (wp_termmeta)
    5. Check the structure: if a new column ‘term_id’ (check if it is empty) was created, go ahead and delete this
    6. Change the column ‘taxonomy_id’ name to ‘term_id’

    Your metadata should be back and up and running.

    Be sure to take another backup for your database and make sure to delete the Taxonomy Metadata plugin!

    Thanks Thomas. That is really helpful.

    Helpful walkthrough, Thomas! Still receiving an error though. I’ve uninstalled my themes and all plugins, then did the steps Thomas suggested. wp_termmeta was already created so I manually copied over the wp_taxonomymeta rows, adding the values for taxonomy_id to term_id, then deleted wp_taxonomymeta.

    Here’s the error my site is throwing. Site is mcclurefitness.com. Any suggestions?

    Warning: require(/home/content/p3pnexwpnas03_data03/14/2286414/html/wp-content/themes/twentyfifteen /inc/custom-header.php): failed to open stream: No such file or directory in /home/content/p3pnexwpnas03_data03/14/2286414/html/wp-content/themes/twentyfifteen/functions.php on line 341

    Fatal error: require(): Failed opening required ‘/home/content/p3pnexwpnas03_data03/14/2286414/html/wp-content/themes/twentyfifteen /inc/custom-header.php’ (include_path=’.:/usr/local/php5_4/lib/php’) in /home/content/p3pnexwpnas03_data03/14/2286414/html/wp-content/themes/twentyfifteen/functions.php on line 341

    Hi
    I saw new Version of WordPress 4.4 butt when i Tried to automatic update it error (Fatal error: Cannot redeclare add_term_meta() (previously declared in /home/choose/public_html/wp-includes/taxonomy.php:1571) in /home/choose/public_html/wp-content/themes/buyshop/framework/inc/taxonomy-metadata.php on line 103)
    even cant login word press anyone can help me please.
    using buyshop theme

    munawer.deo@gmail.com

    Munawer, to keep your old data, you will need to follow the instructions in the comment before yours. To get rid of the error, just delete the plugin. The plugin no longer serves any purpose anyway.

    bucoholic

    (@bucoholic)

    Ryan Hellyer
    I don’t have a plugin here is my error:
    Fatal error: Cannot redeclare add_term_meta() (previously declared in /home/wp-includes/taxonomy.php:1577) in /home/wp-content/themes/buyshop.old/framework/inc/taxonomy-metadata.php on line 103

    any idea’s?

    bucoholic

    (@bucoholic)

    I commented outseveral lines of code on taxonomy-metadata.php and it’s working.

    Ryan Hellyer

    (@ryanhellyer)

    You need to follow the advice of Thomas above. The errors are not the real problem. If you upgrade with Thomas’s advice, you will not need the plugin at all.

    nikkiahern

    (@nikkiahern)

    Can anyone help me please? Someone from France was trying to hack into my account after the 100th login error all using the user name admin or administration from the same ip address, I then blocked the ip adress inside my website.
    I then changed my login details to be extra safe.
    But some how they have managed to shut my site down and I keep getting this error, when trying to go to my site. HELP!

    Warning: require_once(/home/absol832/public_html/MyPartyPlanner/wp-content/themes/DT/framework/class/class_core.php): failed to open stream: Permission denied in /home/absol832/public_html/MyPartyPlanner/wp-content/themes/DT/framework/_config.php on line 52

    Fatal error: require_once(): Failed opening required ‘/home/absol832/public_html/MyPartyPlanner/wp-content/themes/DT/framework/class/class_core.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/absol832/public_html/MyPartyPlanner/wp-content/themes/DT/framework/_config.php on line 52

    Ryan Hellyer

    (@ryanhellyer)

    You appear to have posted this in the wrong place. This thread is about the Taxonomy meta plugin.

Viewing 15 replies - 1 through 15 (of 17 total)
  • The topic ‘WordPress 4.4 fatal error’ is closed to new replies.